MCP Tools Reference: paydeveloper.googleapis.com

工具:list_pass_issuers

检索与经过身份验证的用户关联的 Google 钱包商家控制台中注册的所有卡券发卡机构的完整列表。此工具为管理钱包卡券(例如会员卡、礼品卡或航班)的开发者提供必要信息。

以下示例演示了如何使用 curl 调用 list_pass_issuers MCP 工具。

Curl 请求
curl --location 'https://paydeveloper.googleapis.com/mcp' \
--header 'content-type: application/json' \
--header 'accept: application/json, text/event-stream' \
--data '{
  "method": "tools/call",
  "params": {
    "name": "list_pass_issuers",
    "arguments": {
      // provide these details according to the tool's MCP specification
    }
  },
  "jsonrpc": "2.0",
  "id": 1
}'
                

输入架构

用于列出与经过身份验证的用户共享的卡券发卡机构的请求消息。

输出架构

用于列出与经过身份验证的用户共享的卡券发卡机构的响应消息。

ListPassIssuersResponse

JSON 表示法
{
  "passIssuers": [
    {
      object (PassIssuer)
    }
  ]
}
字段
passIssuers[]

object (PassIssuer)

与用户共享的卡券发卡机构的基本信息。

PassIssuer

JSON 表示法
{
  "issuerId": string,
  "displayName": string
}
字段
issuerId

string (int64 format)

可选。卡券发卡机构的唯一标识符。

displayName

string

可选。卡券发卡机构的显示名称。

工具注释

破坏性提示:❌ | 等幂性提示:✅ | 只读提示:✅ | 开放世界提示:❌